﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class Hour : AggregateTimeSpan
    {
        public Hour(TimeSpan rent,DateTime hour) {
            start = hour;
            end = start.AddHours(1);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute/10, 1)))
            {
                children[new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute/10, 1)].add(child);
            }
            else
            {
                MinDecade md = new MinDecade(this, new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute / 10, 1));
                children.Add(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute / 10, 1), md);
                md.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
    }
}
