﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ListWithChangedEvent;

namespace netvis
{
    class Second :TimeSpan
    {
        protected MonitorableStorage<Packet> packets;
        public MonitorableStorage<Packet> packetsInInterval
        {
            get { return packets; }
        }
        public Second(TimeSpan rent, DateTime sec) {
            start = sec;
            end = start.AddSeconds(1);
            packets = new MonitorableStorage<Packet>();
        }
        public override void add(Packet child)
        {
            packets.Add(child);
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
        public override List<Packet> getAllPackets() {
            return packets;
        }
        public override DateTime findLatest()
        {
           return packets[0].time;
        }
        public override DateTime findEarliest()
        {
            return packets[0].time;
        }
        public override SortedList<DateTime, TimeSpan> getSubtress()
        {
            return new SortedList<DateTime, TimeSpan>();
        }
    }
}


