﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
   abstract class TimeSpan
    {

        protected int numberPass =0;
        public int numberAllow{
            get { return numberPass; }
            set {  }

        }
        protected int numberFail =0;
        public int numberBlock {
            get { return numberFail; }
        }
        public int total {
            get { return numberFail+numberPass;}
        }
        protected DateTime start;
        public DateTime startTime {
            get { return start; }
        }
        public DateTime endTime {
            get { return end; }
        }
        protected DateTime end;
        public abstract void add(Packet child);
        public override string ToString()
        {
            return start.ToString() + " : " + numberPass + numberFail + this.GetType();
        }
        public abstract DateTime findEarliest();
        public abstract DateTime findLatest();
        public abstract SortedList<DateTime, TimeSpan> getSubtress();
        public abstract List<Packet> getAllPackets();
    }
}
