﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using ListWithChangedEvent;
namespace netvis
{
     class CSVParser : Parser
    {
        protected List<FileReader> files;
        public CSVParser(string directoryPath)
        {
           files = new List<FileReader>();
           DirectoryInfo currentDirectory = new DirectoryInfo(directoryPath);
           FileInfo[] rgFiles = currentDirectory.GetFiles("log.*");
           parse(rgFiles);
       }
        public void getNext(int number)
        {
            
            //String line;
            //String[] parts;
            //DateTime time;
            foreach (FileReader stream in files)
            {
                stream.readNextN(number);
            }
            //current = current.Add(segment);
        }
        void changeEvent(object sender, EventArgs e)
        {
            Console.WriteLine(e);
            Console.WriteLine(sender);
        }
        public List<NetworkInterface> getInterfaces()
        {
            List<NetworkInterface> cont = new List<NetworkInterface>();
            foreach (FileReader op in files)
            {
                if (cont.Contains(op.networkInterface))
                {

                }
                else
                {
                    cont.Add(op.networkInterface);
                }
            }
            return cont;
        }
         public void parse(FileInfo [] filesToParse){
         Dictionary<string, NetworkInterface> ints = new Dictionary<string, NetworkInterface>();
         foreach (FileInfo f in filesToParse)
           {
               string tempString = f.Name.Substring(0, f.Name.LastIndexOf("."));
               tempString = tempString.Substring(0, tempString.LastIndexOf("."));
               if (ints.Keys.Contains(tempString))
               {

               }
               else
               {
                   ints.Add(tempString, new NetworkInterface(tempString));
               }
           }
           DateTime counter = DateTime.Now;
           foreach (FileInfo f in filesToParse)
           {
               System.IO.StreamReader file = new System.IO.StreamReader(f.FullName);
               string tempString = f.Name.Substring(0, f.Name.LastIndexOf("."));
               tempString = tempString.Substring(0, tempString.LastIndexOf("."));
               String line = file.ReadLine();
               file.Close();
               TimeSpan node = new Year(null, 2010);

               ints[tempString].addRoot(node);
               files.Add(new FileReader(f.FullName, node, ints[tempString]));
               
           }
         
         }
    }
}
