﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.IO;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Security.Principal;
using System.Management;
using Microsoft.Win32.SafeHandles;

namespace netvis
{
     class FileReader
    {
        protected FileStream file;
        protected DateTime epoch = new System.DateTime(1970, 1, 1, 0, 0, 0, 0);
        protected string path;
        protected int numberToRead = 0;
        protected int read = 0;
        protected TimeSpan root;
        protected NetworkInterface netInterface;
        public NetworkInterface networkInterface {
            get { return netInterface; }
        }
        public FileReader(string Filepath, TimeSpan rt,NetworkInterface netinterface)
        {
            path = Filepath;
            file = new FileStream(path, FileMode.Open);
            root = rt;
            netInterface = netinterface;
        
        }
        public void readNextN(int numOfPackets)
        {
            numberToRead += numOfPackets;
            byte[] bytes = new byte[numberToRead * 100];
            if (file.Position < file.Length)
            {
                IAsyncResult result = file.BeginRead(bytes, 0, numberToRead * 100, callback, bytes);
                file.EndRead(result);
            }
        }
        public void callback(IAsyncResult asyncResult) {
            byte[] bytes = (byte[])asyncResult.AsyncState;
            int i = 0;
            string[] strings = ((System.Text.ASCIIEncoding.ASCII.GetString(bytes)).Split(new String[] { "\n" }, StringSplitOptions.None));
            while (root.total <= numberToRead && i < strings.Length)
            {
                try
                {
                    i++;
                    Packet p = parsePacket(strings[i]);
                    root.add(p);
                    add(p);
                   // file.Position += strings[i].Length+1;
                }
                catch (Exception e) {
                    Console.WriteLine("error parsing packet \n"+e);
                }
            }
            
        }
        public List<String> readPrevousN(int N)
        {
            return null;
        }
        public Packet parsePacket(String stringForm)
        {
            
            String[] parts = stringForm.Split(',');
            DateTime time = epoch.AddSeconds(double.Parse(parts[0]));
            Packet pack = new Packet(time, parts[1], int.Parse(parts[2]), parts[5], parts[3], int.Parse(parts[6]), int.Parse(parts[4]), parts[7], (file.Name.Contains("pass") ? true : false), Packet.Direction.FromIn);
            return pack;
        }
        public void add(Packet pack) {
            read++;
        }
    }
}
