﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class Month : AggregateTimeSpan
    {
        public Month(TimeSpan rent, DateTime start){
            this.start = start;
            this.end = start.AddMonths(1);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, (child.time.Day/7)+1)))
            {
                children[new DateTime(child.time.Year, child.time.Month, (child.time.Day / 7)+1)].add(child);
            }
            else
            {
                Week week = new Week(this, new DateTime(child.time.Year, child.time.Month, (child.time.Day / 7)+1));
                children.Add(new DateTime(child.time.Year, child.time.Month, (child.time.Day / 7)+1), week);
                week.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else {
                numberFail++;
            }
        }
    }
}
